VIEWIMG_SET_CANVAS_ATTRIBUTES(3)

FUNCTION
viewimg_set_canvas_attributes - Set the viewable image attributes for a world canvas.

SYNOPSIS
#include <karma_viewimg.h>

void viewimg_set_canvas_attributes

(KWorldCanvas canvas, ...)

DESCRIPTION
This routine will control the autoscaling options used when viewable images are displayed on their associated world canvas.

canvas
    The world canvas.

... The list of parameter attribute-key attribute-value pairs must follow. This list must be terminated with the VIEWIMG_ATT_END. See <-viewimg_CANVAS_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The canvas is not refreshed by this operation.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/